io.vertx.spi.cluster.ignite

## Class IgniteSslOptions

- java.lang.Object
- - io.vertx.spi.cluster.ignite.IgniteSslOptions

-     public class IgniteSslOptions
      extends Object

  Author:
    Lukas Prettenthaler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteSslOptions()` Default constructor
    `IgniteSslOptions(IgniteSslOptions options)` Copy constructor
    `IgniteSslOptions(JsonObject options)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKeyAlgorithm()` Gets algorithm that will be used to create a key manager.
    `String` | `getKeyStoreFilePath()` Gets path to the key store file.
    `String` | `getKeyStorePassword()` Gets key store password.
    `String` | `getKeyStoreType()` Gets key store type used for context creation.
    `String` | `getProtocol()` Gets protocol for secure transport.
    `String` | `getTrustStoreFilePath()` Gets path to the trust store file.
    `String` | `getTrustStorePassword()` Gets trust store password.
    `String` | `getTrustStoreType()` Gets trust store type used for context creation.
    `boolean` | `isTrustAll()` When using ssl, trust ALL certificates.
    `IgniteSslOptions` | `setKeyAlgorithm(String keyAlgorithm)` Sets key manager algorithm that will be used to create a key manager.
    `IgniteSslOptions` | `setKeyStoreFilePath(String keyStoreFilePath)` Sets path to the key store file.
    `IgniteSslOptions` | `setKeyStorePassword(String keyStorePassword)` Sets key store password.
    `IgniteSslOptions` | `setKeyStoreType(String keyStoreType)` Sets key store type used in context initialization.
    `IgniteSslOptions` | `setProtocol(String protocol)` Sets protocol for secure transport.
    `IgniteSslOptions` | `setTrustAll(boolean trustAll)` When using ssl, trust ALL certificates.
    `IgniteSslOptions` | `setTrustStoreFilePath(String trustStoreFilePath)` Sets path to the trust store file.
    `IgniteSslOptions` | `setTrustStorePassword(String trustStorePassword)` Sets trust store password.
    `IgniteSslOptions` | `setTrustStoreType(String trustStoreType)` Sets trust store type used in context initialization.
    `org.apache.ignite.ssl.SslContextFactory` | `toConfig()` Convert to IgniteConfiguration
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteSslOptions

          public IgniteSslOptions()

      Default constructor

    - #### IgniteSslOptions

          public IgniteSslOptions(IgniteSslOptions options)

      Copy constructor
      Parameters:
        `options` - the one to copy

    - #### IgniteSslOptions

          public IgniteSslOptions(JsonObject options)

      Constructor from JSON
      Parameters:
        `options` - the JSON

  - ### Method Detail

    - #### getProtocol

          public String getProtocol()

      Gets protocol for secure transport.
      Returns:
        SSL protocol name.

    - #### setProtocol

          public IgniteSslOptions setProtocol(String protocol)

      Sets protocol for secure transport.
      Parameters:
        `protocol` - SSL protocol name.
      Returns:
        reference to this, for fluency

    - #### getKeyAlgorithm

          public String getKeyAlgorithm()

      Gets algorithm that will be used to create a key manager.
      Returns:
        Key manager algorithm.

    - #### setKeyAlgorithm

          public IgniteSslOptions setKeyAlgorithm(String keyAlgorithm)

      Sets key manager algorithm that will be used to create a key manager. Notice that in most cased default value suites well, however, on Android platform this value need to be set to `X509``.`
      Parameters:
        `keyAlgorithm` - Key algorithm name.
      Returns:
        reference to this, for fluency

    - #### getKeyStoreType

          public String getKeyStoreType()

      Gets key store type used for context creation.
      Returns:
        Key store type.

    - #### setKeyStoreType

          public IgniteSslOptions setKeyStoreType(String keyStoreType)

      Sets key store type used in context initialization.
      Parameters:
        `keyStoreType` - Key store type.
      Returns:
        reference to this, for fluency

    - #### getKeyStoreFilePath

          public String getKeyStoreFilePath()

      Gets path to the key store file.
      Returns:
        Path to key store file.

    - #### setKeyStoreFilePath

          public IgniteSslOptions setKeyStoreFilePath(String keyStoreFilePath)

      Sets path to the key store file. This is a mandatory parameter since ssl context could not be initialized without key manager.
      Parameters:
        `keyStoreFilePath` - Path to key store file.
      Returns:
        reference to this, for fluency

    - #### getKeyStorePassword

          public String getKeyStorePassword()

      Gets key store password.
      Returns:
        Key store password.

    - #### setKeyStorePassword

          public IgniteSslOptions setKeyStorePassword(String keyStorePassword)

      Sets key store password.
      Parameters:
        `keyStorePassword` - Key store password.
      Returns:
        reference to this, for fluency

    - #### getTrustStoreType

          public String getTrustStoreType()

      Gets trust store type used for context creation.
      Returns:
        trust store type.

    - #### setTrustStoreType

          public IgniteSslOptions setTrustStoreType(String trustStoreType)

      Sets trust store type used in context initialization.
      Parameters:
        `trustStoreType` - Trust store type.
      Returns:
        reference to this, for fluency

    - #### getTrustStoreFilePath

          public String getTrustStoreFilePath()

      Gets path to the trust store file.
      Returns:
        Path to the trust store file.

    - #### setTrustStoreFilePath

          public IgniteSslOptions setTrustStoreFilePath(String trustStoreFilePath)

      Sets path to the trust store file.
      Parameters:
        `trustStoreFilePath` - Path to the trust store file.
      Returns:
        reference to this, for fluency

    - #### getTrustStorePassword

          public String getTrustStorePassword()

      Gets trust store password.
      Returns:
        Trust store password.

    - #### setTrustStorePassword

          public IgniteSslOptions setTrustStorePassword(String trustStorePassword)

      Sets trust store password.
      Parameters:
        `trustStorePassword` - Trust store password.
      Returns:
        reference to this, for fluency

    - #### isTrustAll

          public boolean isTrustAll()

      When using ssl, trust ALL certificates. WARNING Trusting ALL certificates will open you up to potential security issues such as MITM attacks.
      Returns:
        Trust all flag.

    - #### setTrustAll

          public IgniteSslOptions setTrustAll(boolean trustAll)

      When using ssl, trust ALL certificates. WARNING Trusting ALL certificates will open you up to potential security issues such as MITM attacks.
      Parameters:
        `trustAll` - Trust all flag.
      Returns:
        reference to this, for fluency

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### toConfig

          public org.apache.ignite.ssl.SslContextFactory toConfig()

      Convert to IgniteConfiguration
      Returns:
        the SslContextFactory

Copyright © 2020 Eclipse. All rights reserved.